import DynamoDataOpr from "../core/dynamo-data-operation";
import { MyDynamoConnection } from "../test/connection";
export class BaseRepository extends DynamoDataOpr {
    constructor({ schemaSubDef, secondaryIndexOptions, featurePartitionValue, }) {
        super({
            dynamoDb: () => MyDynamoConnection.dynamoDbInst(),
            dynamoDbClient: () => MyDynamoConnection.dynamoDbClientInst(),
            baseTableName: "hospiman_table_db1",
            schemaDef: { ...schemaSubDef },
            secondaryIndexOptions,
            featureIdentityValue: featurePartitionValue,
            strictRequiredFields: [],
            dataKeyGenerator: () => Date.now().toString(),
        });
    }
}
